Subject: Re: bug#5958: Sort-8.4 bug

From: Pádraig Brady <[email-masked]>
Date: Tue, 20 Apr 2010 23:10:44 +0100

On 20/04/10 22:05, Alan Curry wrote:
>>
>> I've changed it around in the attached patch so that
>> we consistently use zero based limits throughout the code.
>> I'll push this later on tonight unless there are objections.
> 
> In the definition of struct keyfield, is the comment by the "eword" member
> still correct? Or was it ever?
> 
>   size_t eword;                 /* Zero-origin first word after field. */
> 
> A shared understanding of what exactly the field represents would reduce the
> chance of future mishaps.

Good point. I think it was correct initially but
became out of sync with the logic about 10 years ago:
http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=d92f4ac8

I've clarified the comment in what I've just pushed:
http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=8fc12909

cheers,
Pádraig.